#!/bin/sh

rm temp/already_initialized.tmp

mkdir ../dist

export V=$(cat .version)

if [ "x${1}" = "x" ] ; then

    rm -rf ../dist/*
cp lang_de/jeliza-person-online-new.DE.xml lang_de/jeliza-standard.xml
cp lang_en/jeliza-person-online-new.EN.xml lang_en/jeliza-standard.xml

	bash $0 linux
	bash $0 win
	bash $0 src

	sudo chmod 0777 /data/workspace/JEliza/trunk/dist/ -R

	exit 0

fi
## Linux

if [ "x${1}" = "xlinux" ] ; then

	rm -rf ../dist/linux
	mkdir ../dist/linux

	cp -rf * ../dist/linux
	find ../dist/linux -name ".svn" | xargs rm -rf

	cd ../dist/linux
	bash reconf
	./configure
	make
	mkdir bin
	mv kernel bin
	cp kernel-sh kernel
	strip bin/kernel
	
	rm *.o
	cp -r ../../gui-qt/* .
	rm *.o
	find . -name ".svn" -type d | xargs rm -rf
	qmake
	make
	strip bin/jelizaqt
	rm -rf include

    find . -name "*.pyc" | xargs rm -f
    find . -name ".svn" -type d | xargs rm -rf

    rm *.a
    rm -rf lib/asio
    rm ../jeliza_${V}_linux.tar.gz
	echo -n de > temp/language.tmp

    tar -cplzSf ../jeliza_${V}_linux.tar.gz kernel jelizaqt bin/jelizaqt bin/kernel temp modules lang_de lang_en
	rm -rf lang_de/wsh 

	sudo chmod 0777 /data/workspace/JEliza/trunk/dist/ -R

fi

if [ "x${1}" = "xwin" ] ; then

	bash ./compile-for-win32.sh

	sudo chmod 0777 /data/workspace/JEliza/trunk/dist/ -R

fi

if [ "x${1}" = "xsrc" ] ; then

	rm -rf ../dist/src
	mkdir ../dist/src
	cp -rf * ../dist/src
	find ../dist/src -name ".svn" | xargs rm -rf
    find ../dist/src -name "*.pyc" | xargs rm -f
    find ../dist/src -name "*.deps" | xargs rm -f
    find ../dist/src -name "*.objs" | xargs rm -f
    find ../dist/src -name "*.o" | xargs rm -f
	rm ../dist/src/bin/* -rf
	rm ../dist/src/include -rf
	rm ../dist/src/ui -rf
	rm ../dist/src/src/windows -rf
	rm ../dist/src/m4 -rf
	rm ../dist/src/autom4te.cache -rf

	rm ../dist/src/*.a -f

    cd ../dist/
    rm -r JEliza-${V}-kernel-source
    mv src JEliza-${V}-kernel-source
    rm jeliza_${V}_src.zip
echo -n de > JEliza-${V}-kernel-source/temp/language.tmp
    tar cplsjf jeliza-kernel_${V}_src.tar.bz2 JEliza-${V}-kernel-source


	cd ../gui-qt
	rm -rf ../dist/src
	mkdir ../dist/src
	cp -rf * ../dist/src
	find ../dist/src -name ".svn" | xargs rm -rf
    find ../dist/src -name "*.pyc" | xargs rm -f
	rm ../dist/src/bin/* -rf
	rm ../dist/src/*.a -f

    cd ../dist/
    rm -r JEliza-${V}-qt-source
    mv src JEliza-${V}-qt-source
    rm jeliza_${V}_src.zip
echo -n de > JEliza-${V}-qt-source/temp/language.tmp
    tar cplsjf jeliza-qt-gui_${V}_src.tar.bz2 JEliza-${V}-qt-source

	sudo chmod 0777 /data/workspace/JEliza/trunk/dist/ -R

fi
